/*
 * coverart.h
 * 
 * Copyright (C) 2010 Sinew Software Systems
 * Authers: Vinod Kumar Dahiya
 *          Hemant Kumar
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * The Rhythmbox authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Rhythmbox. This permission is above and beyond the permissions granted
 * by the GPL license by which Rhythmbox is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 */

#ifndef RHYTHMARTY_COVERART_H__
#define RHYTHMARTY_COVERART_H__

#include "rhythmarty-plugin.h"

struct _ArtyEmbeddedCover;

typedef struct _RbArtyCoverFetcher
{
	RBArtyPlugin *plugin;
	
	GList *album_list;
	GList *list_iter;
	
	gboolean idle_running;
	guint idle_id;
	
	struct _ArtyEmbeddedCover *cover;
}
RbArtyCoverFetcher;

RbArtyCoverFetcher *rb_arty_cover_fetcher_new(RBArtyPlugin *plugin);

void rb_arty_cover_fetcher_free(RbArtyCoverFetcher *fetcher);

void
rb_arty_cover_fetcher_fetch_next(RbArtyCoverFetcher *fetcher);

void 
rb_arty_cover_fetcher_set_albums(RbArtyCoverFetcher *fetcher, GList *list);

void
rb_arty_get_covers_clicked (GtkAction *action, RBArtyPlugin *plugin);

void
rb_arty_cover_fetching_cancel(RBArtyPlugin *plugin);

#endif //RHYTHMARTY_COVERART_H__
